<?php
session_start();
require_once __DIR__ . '/../db.php';
if (!isset($_SESSION['usuario'])) {
    header('Location: login.php');
    exit();
}

$mensaje = '';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Validar archivos
    if (isset($_FILES['csv']) && $_FILES['csv']['error'] === UPLOAD_ERR_OK
     && isset($_FILES['zip']) && $_FILES['zip']['error'] === UPLOAD_ERR_OK) {

        // 1) Mover y leer CSV
        $csvPath = __DIR__ . '/../uploads/' . uniqid('csv_') . '.csv';
        move_uploaded_file($_FILES['csv']['tmp_name'], $csvPath);

        // 2) Descomprimir ZIP
        $zipPath = $_FILES['zip']['tmp_name'];
        $zip = new ZipArchive;
        if ($zip->open($zipPath) === true) {
            $zip->extractTo(__DIR__ . '/../uploads/');
            $zip->close();
        } else {
            $mensaje = '<div class="alert alert-danger">❌ No se pudo descomprimir el ZIP.</div>';
        }

        // 3) Procesar CSV
        if (!$mensaje) {
            if (($handle = fopen($csvPath, 'r')) !== false) {
                $line = 0;
                $dbErrors = 0;
                while (($data = fgetcsv($handle, 1000, ',')) !== false) {
                    if ($line++ === 0) continue; // saltar encabezado
                    list($cedula, $nombre, $curso, $registro, $fecha, $archivo) = $data;

                    $rutaPDF = 'uploads/' . $archivo;
                    if (file_exists(__DIR__ . '/../' . $rutaPDF)) {
                        $stmt = $pdo->prepare(
                            "INSERT INTO certificados
                             (cedula, nombre_participante, nombre_curso, numero_registro, fecha_realizacion, archivo_certificado)
                             VALUES (?, ?, ?, ?, ?, ?)"
                        );
                        if (!$stmt->execute([$cedula, $nombre, $curso, $registro, $fecha, $rutaPDF])) {
                            $dbErrors++;
                        }
                    }
                }
                fclose($handle);
                $mensaje = '<div class="alert alert-success">✅ Importación completada. ';
                if ($dbErrors) $mensaje .= "$dbErrors errores al insertar.</div>";
                else $mensaje .= '</div>';
            } else {
                $mensaje = '<div class="alert alert-danger">❌ No se pudo leer el CSV.</div>';
            }
        }
    } else {
        $mensaje = '<div class="alert alert-warning">⚠️ Debes subir el CSV y el ZIP.</div>';
    }
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <title>Carga Masiva Certificados</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="bg-light">
  <div class="container mt-5" style="max-width:600px;">
    <h2 class="mb-4 text-center">📦 Carga Masiva de Certificados</h2>
    <?= $mensaje ?>

    <form method="post" enctype="multipart/form-data" class="card p-4 shadow-sm">
      <div class="mb-3">
        <label for="csv" class="form-label">Archivo CSV (cedula,nombre,curso,registro,fecha,archivo.pdf)</label>
        <input type="file" name="csv" id="csv" class="form-control" accept=".csv" required>
      </div>
      <div class="mb-3">
        <label for="zip" class="form-label">ZIP con los PDFs</label>
        <input type="file" name="zip" id="zip" class="form-control" accept=".zip" required>
      </div>
      <button type="submit" class="btn btn-primary w-100">Importar Masivamente</button>
      <a href="dashboard.php" class="btn btn-link mt-2">← Volver al Panel</a>
    </form>
  </div>
</body>
</html>
