<?php
session_start();
if (!isset($_SESSION['usuario'])) {
    header('Location: login.php');
    exit();
}
$usuario = $_SESSION['usuario'];
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Panel de Administración</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/@lucide/icons@latest/dist/umd/lucide.min.js" rel="stylesheet">
    <style>
        body {
            background-color: #f8f9fa;
        }
        .sidebar {
            height: 100vh;
            background-color: #1e293b;
            color: white;
        }
        .sidebar a {
            color: white;
            text-decoration: none;
            display: block;
            padding: 12px 20px;
        }
        .sidebar a:hover {
            background-color: #334155;
        }
        .sidebar .active {
            background-color: #0f172a;
        }
        .main-content {
            padding: 30px;
        }
        .card {
            border-radius: 15px;
            box-shadow: 0 4px 8px rgba(0,0,0,0.06);
        }
        .header {
            background-color: #1e40af;
            color: white;
            padding: 20px;
            border-radius: 10px;
        }
        .user-info {
            font-size: 18px;
        }
    </style>
</head>
<body>

<div class="d-flex">
    <!-- Sidebar -->
    <div class="sidebar p-3">
        <h4 class="mb-4">🧯 Admin</h4>
        <a href="dashboard.php" class="active"><i data-lucide="home"></i> Panel</a>
        <a href="subir_certificado.php"><i data-lucide="upload"></i> Subir Certificado</a>
        <a href="bulk_upload.php"><i data-lucide="folder-up"></i> Carga Masiva</a> <!-- NUEVO -->
        <a href="ver_certificados.php"><i data-lucide="file-text"></i> Ver Certificados</a>
        <a href="logout.php"><i data-lucide="log-out"></i> Cerrar sesión</a>
    </div>

    <!-- Main Content -->
    <div class="flex-grow-1 main-content">
        <div class="header mb-4 d-flex justify-content-between align-items-center">
            <h2 class="mb-0">Panel de Control</h2>
            <div class="user-info">
                👋 Bienvenido, <strong><?php echo htmlspecialchars($usuario); ?></strong>
            </div>
        </div>

        <div class="row g-4">
            <div class="col-md-6 col-lg-4">
                <div class="card p-4">
                    <h5 class="mb-3">📥 Subir Certificado</h5>
                    <p>Agrega un nuevo certificado para un participante.</p>
                    <a href="subir_certificado.php" class="btn btn-primary">Ir</a>
                </div>
            </div>
            <div class="col-md-6 col-lg-4">
                <div class="card p-4">
                    <h5 class="mb-3">🗂️ Carga Masiva</h5> <!-- NUEVO -->
                    <p>Sube un archivo ZIP con múltiples certificados.</p>
                    <a href="bulk_upload.php" class="btn btn-warning">Subir ZIP</a>
                </div>
            </div>
            <div class="col-md-6 col-lg-4">
                <div class="card p-4">
                    <h5 class="mb-3">📄 Ver Certificados</h5>
                    <p>Consulta todos los certificados registrados.</p>
                    <a href="ver_certificados.php" class="btn btn-secondary">Ver</a>
                </div>
            </div>
            <div class="col-md-6 col-lg-4">
                <div class="card p-4">
                    <h5 class="mb-3">🔐 Cerrar Sesión</h5>
                    <p>Finaliza tu sesión de administrador.</p>
                    <a href="logout.php" class="btn btn-danger">Cerrar</a>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://unpkg.com/lucide@latest"></script>
<script>
    lucide.createIcons();
</script>
</body>
</html>


