<?php
session_start();
require_once 'db.php'; // Asegúrate de tener tu conexión aquí

// Verifica si ya hay algún usuario administrador
$stmt = $pdo->query("SELECT COUNT(*) FROM usuarios_admin");
$total = $stmt->fetchColumn();

if ($total > 0) {
    // Ya hay usuarios, redirigir al login
    header("Location: login.php");
    exit();
}

// Procesar formulario
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = $_POST['username'];
    $password = $_POST['password'];

    // Validación simple
    if (!empty($username) && !empty($password)) {
        $hash = password_hash($password, PASSWORD_DEFAULT);

        $stmt = $pdo->prepare("INSERT INTO usuarios_admin (username, password_hash) VALUES (?, ?)");
        $stmt->execute([$username, $hash]);

        echo "<p>Administrador creado exitosamente. <a href='login.php'>Ir al login</a></p>";
        exit();
    } else {
        $error = "Todos los campos son obligatorios.";
    }
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Crear Administrador</title>
    <link rel="stylesheet" href="assets/css/estilos.css"> <!-- Opcional -->
</head>
<body>
    <h2>Crear el primer Administrador</h2>
    <?php if (isset($error)) echo "<p style='color:red;'>$error</p>"; ?>
    <form method="post">
        <label>Usuario:</label>
        <input type="text" name="username" required><br><br>
        <label>Contraseña:</label>
        <input type="password" name="password" required><br><br>
        <button type="submit">Crear Administrador</button>
    </form>
</body>
</html>
