<?php
// index.php: Formulario de consulta de certificados
include('db.php');
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Consulta de Certificados</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background: linear-gradient(to right, #e0f7fa, #e1f5fe);
            font-family: 'Segoe UI', sans-serif;
        }
        .consulta-container {
            max-width: 500px;
            margin: auto;
            margin-top: 100px;
            padding: 40px;
            background: #ffffff;
            border-radius: 15px;
            box-shadow: 0 0 20px rgba(0,0,0,0.1);
        }
        .btn-custom {
            border-radius: 30px;
            padding: 10px 30px;
        }
        .form-control:focus {
            box-shadow: 0 0 5px rgba(13, 110, 253, 0.5);
        }
        .logo {
            display: block;
            margin: 0 auto 20px auto;
            width: 80px;
        }
    </style>
</head>
<body>

<div class="consulta-container">
    <img src="assets/img/logo_certificados.png" alt="Logo" class="logo"> <!-- Cambia la ruta según tu logo -->
    <h3 class="text-center mb-4">Consulta de Certificados</h3>
    
    <form action="resultado.php" method="get" novalidate>
        <div class="mb-3">
            <label for="cedula" class="form-label">Número de Cédula</label>
            <input type="text" class="form-control" id="cedula" name="cedula" placeholder="Ej: 1234567890" required pattern="\d{6,15}">
            <div class="invalid-feedback">
                Por favor ingresa un número de cédula válido (solo números, entre 6 y 15 dígitos).
            </div>
        </div>
        <div class="text-center">
            <button type="submit" class="btn btn-primary btn-custom">🔍 Consultar</button>
        </div>
    </form>
</div>

<script>
    // Validación de formulario con Bootstrap
    (function () {
        'use strict'
        const forms = document.querySelectorAll('form')
        Array.from(forms).forEach(function (form) {
            form.addEventListener('submit', function (event) {
                if (!form.checkValidity()) {
                    event.preventDefault()
                    event.stopPropagation()
                }
                form.classList.add('was-validated')
            }, false)
        })
    })()
</script>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>

